  !echo  Hash Index Creation


  !echo  Hash index for table cirinfo

  CREATE UNIQUE HASH INDEX
     cirinfo_index on "cirinfo" ("ci_crcid");

  COMMIT WORK;

  !echo  Hash index for table cronmail

  CREATE UNIQUE HASH INDEX
     cronmail_index on "cronmail" ("cm_id");

  COMMIT WORK;

  !echo  Hash index for table dsxpanel

  CREATE UNIQUE HASH INDEX
     dsxpanel_index on "dsxpanel" ("dp_panel");

  COMMIT WORK;

  !echo  Hash index for table ecode

  CREATE UNIQUE HASH INDEX
     ecode_index on "ecode" ("ec_num");

  COMMIT WORK;

  !echo  Hash index for table employee

  CREATE UNIQUE HASH INDEX
     employee_index on "employee" ("em_init");

  COMMIT WORK;

  !echo  Hash index for table forms

  CREATE UNIQUE HASH INDEX
     forms_index on "forms" ("fm_name");

  COMMIT WORK;

  !echo  Hash index for table hdcalls

  CREATE UNIQUE HASH INDEX
     hdcalls_index on "hdcalls" ("ca_date");

  COMMIT WORK;

  !echo  Hash index for table holiday

  CREATE UNIQUE HASH INDEX
     holiday_index on "holiday" ("ho_date");

  COMMIT WORK;

  !echo  Hash index for table lancard

  CREATE UNIQUE HASH INDEX
     lancard_index on "lancard" ("ln_ether");

  COMMIT WORK;

  !echo  Hash index for table log

  CREATE UNIQUE HASH INDEX
     log_index on "log" ("lo_key");

  COMMIT WORK;

  !echo  Hash index for table mastcir

  CREATE UNIQUE HASH INDEX
     mastcir_index on "mastcir" ("mc_name");

  COMMIT WORK;

  !echo  Hash index for table netsupp

  CREATE UNIQUE HASH INDEX
     netsupp_index on "netsupp" ("su_pno");

  COMMIT WORK;

  !echo  Hash index for table nextnum

  CREATE UNIQUE HASH INDEX
     nextnum_index on "nextnum" ("nxt_name");

  COMMIT WORK;

  !echo  Hash index for table node

  CREATE UNIQUE HASH INDEX
     node_index on "node" ("no_ser");

  COMMIT WORK;

  !echo  Hash index for table parout

  CREATE UNIQUE HASH INDEX
     parout_index on "parout" ("po_tic");

  COMMIT WORK;

  !echo  Hash index for table parts

  CREATE UNIQUE HASH INDEX
     parts_index on "parts" ("pa_name");

  COMMIT WORK;

  !echo  Hash index for table probcode

  CREATE UNIQUE HASH INDEX
     probcode_index on "probcode" ("prc_id");

  COMMIT WORK;

  !echo  Hash index for table problem

  CREATE UNIQUE HASH INDEX
     problem_index on "problem" ("pr_num");

  COMMIT WORK;

  !echo  Hash index for table proj

  CREATE UNIQUE HASH INDEX
     proj_index on "proj" ("pj_name");

  COMMIT WORK;

  !echo  Hash index for table site

  CREATE UNIQUE HASH INDEX
     site_index on "site" ("si_id");

  COMMIT WORK;

  !echo  Hash index for table t1circ

  CREATE UNIQUE HASH INDEX
     t1circ_index on "t1circ" ("t1_cirid");

  COMMIT WORK;

  !echo  Hash index for table tprt

  CREATE UNIQUE HASH INDEX
     tprt_index on "tprt" ("tp_name");

  COMMIT WORK;

  !echo  Hash index for table vcode

  CREATE UNIQUE HASH INDEX
     vcode_index on "vcode" ("vc_num");

  COMMIT WORK;

  !echo  Hash index for table vendor

  CREATE UNIQUE HASH INDEX
     vendor_index on "vendor" ("ve_id");

  COMMIT WORK;






























  !echo  Multi-column Hash Index Creation


  !echo "creating multi-column hash index for table  dsxjack  "
  CREATE UNIQUE HASH INDEX     dsxjack_index
      ON "dsxjack"   ("dj_side","dj_jackn","dj_panel" );

  COMMIT WORK;


  !echo "creating multi-column hash index for table  logcon   "
  CREATE UNIQUE HASH INDEX     logcon_index
      ON "logcon"   ("lc_id","lc_port" );

  COMMIT WORK;


  !echo "creating multi-column hash index for table  pchard   "
  CREATE UNIQUE HASH INDEX     pchard_index
      ON "pchard"   ("ph_node","ph_lnum" );

  COMMIT WORK;


  !echo "creating multi-column hash index for table  pcsoft   "
  CREATE UNIQUE HASH INDEX     pcsoft_index
      ON "pcsoft"   ("ps_node","ps_lnum" );

  COMMIT WORK;


  !echo "creating multi-column hash index for table  probres  "
  CREATE UNIQUE HASH INDEX     probres_index
      ON "probres"   ("pt_num","pt_lnum" );

  COMMIT WORK;


  !echo "creating multi-column hash index for table  task     "
  CREATE UNIQUE HASH INDEX     task_index
      ON "task"   ("tk_proj","tk_taskno" );

  COMMIT WORK;





















